# GimpUi.PreviewArea.mask

    @accepts(GimpUi.PreviewArea, int, int, int, int, Gimp.ImageType, [guint8], int, [guint8], int, [guint8], int)
    @returns(none)
    def mask(self, x, y, width, height, type, buf1, rowstride1, buf2, rowstride2, mask, rowstride_mask):
        # Python wrapper for gimp_preview_area_mask()

Composites buf1 on buf2 with the given mask, draws the result on self and queues a redraw on the given rectangle.

Since GIMP 2.2

self

  a GimpUi.PreviewArea widget.

x

  x offset in preview

y

  y offset in preview

width

  buffer width

height

  buffer height

type

  the Gimp.ImageType of buf1 and buf2

buf1

  a #guchar buffer that contains the pixel data for the lower layer

rowstride1

  rowstride of buf1

buf2

  a #guchar buffer that contains the pixel data for the upper layer

rowstride2

  rowstride of buf2

mask

  a #guchar buffer representing the mask of the second layer.

rowstride_mask

  rowstride for the mask.